#!/bin/sh
# 6/13/2015, ddunlap@mcnc.org
# To set up APs:
# https://community.aerohive.com/aerohive/topics/there_is_no_snmp_response_from_hiveap_121
# Example:
# ./aeroeach.sh hivecommunity 192.168.24.105
# host + snmp_community for input fields
# bgghz, aghz, Total for output fields
# 9/1/2015 - fixed issue with single "ghost" user...
/usr/bin/snmpwalk -c $2 -v 2c $1 .1.3.6.1.4.1.26928.1.1.1.2.1.2.1.13 | /bin/grep -v "No Such Object" | /bin/awk 'BEGIN { FS = ":" } { print $4 }' | grep -v "^$"| /bin/sed 's/^ //g' | /bin/awk 'BEGIN { bgghz=0; aghz=0}{ if ( $0>11 ) bgghz+=1; else aghz+=1; } END { print bgghz","aghz","NR }' | /bin/awk 'BEGIN { FS  = "," } { if (( $1 == "" ) && ( $2 == "" )) { printf("bgghz:0 aghz:0 Total:0")} else if (( $1 != "" ) && ( $2 == "" )) { printf("bgghz:%s aghz:0 Total:%s", $1, $3 ) } else if (( $1 == "" ) && ( $2 != "" )) { printf("bgghz:0 aghz:%s Total:%s", $2, $3 ) } else { printf("bgghz:%s aghz:%s Total:%s", $1,$2,$3 ) }}'
